org.eclipse.eef.properties.ui.api

## Interface IEEFTabDescriptorFilter

    public interface IEEFTabDescriptorFilter

This interface is used to filter `IEEFTabDescriptor`.

### Method Summary

All Methods Instance Methods Default Methods Deprecated Methods
`default boolean` `filter(IEEFTabDescriptor tabDescriptor)` Deprecated.
`default boolean` `filter(IEEFTabDescriptor tabDescriptor, org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Returns if a tab descriptor must be filtered or not.

### Method Detail

#### filter

    @Deprecated
    default boolean filter(IEEFTabDescriptor tabDescriptor)

Deprecated.
Returns if a tab descriptor must be filtered or not.

Parameters:
  `tabDescriptor` - The tab descriptor
Returns:
  `true` if the tab descriptor should be used, `false` otherwise

#### filter

    default boolean filter(IEEFTabDescriptor tabDescriptor,
                           org.eclipse.ui.IWorkbenchPart part,
                           org.eclipse.jface.viewers.ISelection selection)

Returns if a tab descriptor must be filtered or not.

Parameters:
  `tabDescriptor` - The tab descriptor
  `part` - The workbench part
  `selection` - The selection
Returns:
  `true` if the tab descriptor should be used, `false` otherwise